DCMTK Version 3.7.0 OFFIS DICOM Toolkit

List of all members
dcmtk::log4cplus::DailyRollingFileAppender Class Reference

DailyRollingFileAppender extends FileAppender so that the underlying file is rolled over at a user chosen frequency. More...

Inheritance diagram for dcmtk::log4cplus::DailyRollingFileAppender:

## Additional Inherited Members
Public Member Functions inherited from dcmtk::log4cplus::FileAppender
virtual STD_NAMESPACE locale | imbue (STD_NAMESPACE locale const &loc)
| Redefine default locale for output stream. More...
virtual STD_NAMESPACE locale | getloc () const
Public Member Functions inherited from dcmtk::log4cplus::Appender
void | doAppend (const log4cplus::spi::InternalLoggingEvent &event)
| This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific {} method.
virtual log4cplus::tstring | getName ()
| Get the name of this appender. More...
virtual void | setName (const log4cplus::tstring &name)
| Set the name of this appender. More...
virtual void | setErrorHandler (OFunique_ptr< ErrorHandler > eh)
| Set the ErrorHandler for this Appender.
virtual ErrorHandler * | getErrorHandler ()
| Return the currently set ErrorHandler for this Appender.
virtual void | setLayout (OFunique_ptr< Layout > layout)
| Set the layout for this appender. More...
virtual Layout * | getLayout ()
| Returns the layout of this appender. More...
void | setFilter (log4cplus::spi::FilterPtr f)
| Set the filter chain on this Appender.
log4cplus::spi::FilterPtr | getFilter () const
| Get the filter chain on this Appender.
LogLevel | getThreshold () const
| Returns this appenders threshold LogLevel. More...
void | setThreshold (LogLevel th)
| Set the threshold LogLevel. More...
bool | isAsSevereAsThreshold (LogLevel ll) const
| Check whether the message LogLevel is below the appender's threshold. More...
Protected Attributes inherited from dcmtk::log4cplus::FileAppender
bool | immediateFlush
| Immediate flush means that the underlying writer or output stream will be flushed at the end of each append operation. More...
int | reopenDelay
| When any append operation fails, `reopenDelay` says for how many seconds the next attempt to re-open the log file and resume logging will be delayed. More...
Protected Attributes inherited from dcmtk::log4cplus::Appender
OFunique_ptr< Layout > | layout
| The layout variable does not need to be set if the appender implementation has its own layout.
log4cplus::tstring | name
| Appenders are named.
LogLevel | threshold
| There is no LogLevel threshold filtering by default. More...
log4cplus::spi::FilterPtr | filter
| The first filter in the filter chain. More...
OFunique_ptr< ErrorHandler > | errorHandler
| It is assumed and enforced that errorHandler is never null.
OFunique_ptr< helpers::LockFile > | lockFile
| Optional system wide synchronization lock.
bool | useLockFile
| Use lock file for inter-process synchronization of access to log file.
bool | closed
| Is this appender closed?

## Detailed Description

DailyRollingFileAppender extends FileAppender so that the underlying file is rolled over at a user chosen frequency.

### Properties

Properties additional to FileAppender's properties:

`Schedule`

  This property specifies rollover schedule. The possible values are `MONTHLY`, `WEEKLY`, `DAILY`, `TWICE_DAILY`, `HOURLY` and `MINUTELY`.

`MaxBackupIndex`

  This property limits how many backup files are kept per single logging period; e.g. how many `log.2009-11-07.1`, `log.2009-11-07.2` etc. files are kept.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/fileap.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1